jQuery( function( $ ) {
	'use strict';

	/**
	 * Object to handle PayPal admin functions.
	 */
	var kkart_paypal_admin = {
		isTestMode: function() {
			return $( '#kkart_paypal_testmode' ).is( ':checked' );
		},

		/**
		 * Initialize.
		 */
		init: function() {
			$( document.body ).on( 'change', '#kkart_paypal_testmode', function() {
				var test_api_username = $( '#kkart_paypal_sandbox_api_username' ).parents( 'tr' ).eq( 0 ),
					test_api_password = $( '#kkart_paypal_sandbox_api_password' ).parents( 'tr' ).eq( 0 ),
					test_api_signature = $( '#kkart_paypal_sandbox_api_signature' ).parents( 'tr' ).eq( 0 ),
					live_api_username = $( '#kkart_paypal_api_username' ).parents( 'tr' ).eq( 0 ),
					live_api_password = $( '#kkart_paypal_api_password' ).parents( 'tr' ).eq( 0 ),
					live_api_signature = $( '#kkart_paypal_api_signature' ).parents( 'tr' ).eq( 0 );

				if ( $( this ).is( ':checked' ) ) {
					test_api_username.show();
					test_api_password.show();
					test_api_signature.show();
					live_api_username.hide();
					live_api_password.hide();
					live_api_signature.hide();
				} else {
					test_api_username.hide();
					test_api_password.hide();
					test_api_signature.hide();
					live_api_username.show();
					live_api_password.show();
					live_api_signature.show();
				}
			} );

			$( '#kkart_paypal_testmode' ).change();
		}
	};

	kkart_paypal_admin.init();
});
